Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/2pc.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/2pc.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/2pc.rspec	(revision 3446)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="BM-1" component_manager_id="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm">
+    <sliver_type name="exogeni-m4" >
+     </sliver_type>
+    <interface client_id="BM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+<node client_id="BM-2" component_manager_id="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm">
+    <sliver_type name="exogeni-m4" >
+     </sliver_type>
+    <interface client_id="BM-2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm"/>
+    <interface_ref client_id="BM-1:if0"/>
+    <interface_ref client_id="BM-2:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-1-tamu.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-1-tamu.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-1-tamu.rspec	(revision 3446)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+   <interface client_id="VM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-3:if0">
+     <ip address="192.168.1.3" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-4:if0">
+    <ip address="192.168.1.4" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-2-tamu.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-2-tamu.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-2-tamu.rspec	(revision 3446)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="BM-1" component_manager_id="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm">
+    <sliver_type name="exogeni-m4" >
+     </sliver_type>
+    <interface client_id="BM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+ <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm" >
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-1:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" />
+     </interface>
+  </node>
+
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm"/>
+    <interface_ref client_id="BM-1:if0"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-3-tamu.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-3-tamu.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-3-tamu.rspec	(revision 3446)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm">
+ <sliver_type name="m1.large">
+ </sliver_type>
+ <interface client_id="gpo:0">
+    <ip address="192.168.1.1" netmask="255.255.255.0" />
+ </interface>
+</node>
+<node client_id="tamu" component_manager_id="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm">
+  <sliver_type name="m1.large">
+  </sliver_type>
+  <interface client_id="tamu:0" >
+   <ip address="192.168.1.2" netmask="255.255.255.0" />
+  </interface>
+</node>
+<link client_id="link">
+  <interface_ref client_id="gpo:0" />
+  <interface_ref client_id="tamu:0" />
+</link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-eg-gpo.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-eg-gpo.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-eg-gpo.rspec	(revision 3446)
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+ <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="exogeni-m4"> </sliver_type>
+	<services>
+	<execute shell="sh" command="hostname BBN-shared"/>
+	</services>
+    <interface client_id="eg-gpo:if0">
+   <ip address="10.42.11.198" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="eg-gpo:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-eg-tamu.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-eg-tamu.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-eg-tamu.rspec	(revision 3446)
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="eg-tamu" component_manager_id="urn:publicid:IDN+tamuvmsite+authority+cm" >
+    <sliver_type name="exogeni-m4"> </sliver_type>
+        <services>
+        <execute shell="sh" command="hostname eg-tamu"/>
+        </services>
+    <interface client_id="eg-tamu:if0">
+   <ip address="10.42.11.210" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="eg-tamu1" component_manager_id="urn:publicid:IDN+tamuvmsite+authority+cm" >
+    <sliver_type name="exogeni-m4"> </sliver_type>
+        <services>
+        <execute shell="sh" command="hostname eg-tamu1"/>
+        </services>
+    <interface client_id="eg-tamu1:if0">
+   <ip address="10.42.11.211" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <link client_id="lan0">
+    <interface_ref client_id="eg-tamu:if0"/>
+    <interface_ref client_id="eg-tamu1:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-ig-gpo.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-ig-gpo.rspec	(revision 3446)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gpo-ig" exclusive="false">
+    <sliver_type name="raw-pc" />
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="gpo-ig:if0">
+      <ip address="10.42.11.43" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="gpo-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-eg-gpo.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-eg-gpo.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-eg-gpo.rspec	(revision 3446)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site confirmation" email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="gpo-exogeni">
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:01:08:17:f4:b5:2a:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" dpid="00:01:08:17:f4:b5:2a:00">
+      </openflow:datapath>
+
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="gpo-exogeni" />
+
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-eg-tamu.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-eg-tamu.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-eg-tamu.rspec	(revision 3446)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+ <openflow:sliver description="IG-CT-4 over 3716 " email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="tamuexo">
+         <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:tamu-hn.exogeni.net+datapath+00:01:a8:97:dc:87:8e:00" 
+           component_manager_id="urn:publicid:IDN+openflow:foam:tamu-hn.exogeni.net+authority+am" dpid="00:01:a8:97:dc:87:8e:00">
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="tamuexo" />
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-gpo.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-gpo.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-gpo.rspec	(revision 3446)
@@ -0,0 +1,47 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site EG-CT-4" email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="habanero-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port name="33" num="57"/>
+        <openflow:port name="47" num="71"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="poblano-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="13"/>  <!-- to I2 3716 -->
+        <openflow:port num="15"/>  <!-- to BBN ExoGENI rack -->
+        <openflow:port num="16"/>  <!-- to BBN InstaGENI rack -->
+        <openflow:port num="20"/>  <!-- to habanero -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="habanero-1750" />
+      <openflow:use-group name="poblano-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-ig-gpo.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-ig-gpo.rspec	(revision 3446)
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+    <openflow:group name="bbn-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
+    </openflow:group>
+    <openflow:match>
+      <openflow:use-group name="bbn-instageni-1750" />
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-internet2.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-internet2.rspec	(revision 3446)
@@ -0,0 +1,100 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
+
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 NEWY 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:6f:e5" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 WASH 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:6e" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 HOUS 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 LOSA 3716 -->
+    </openflow:group>
+
+   <openflow:group name="group-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
+      </openflow:datapath>
+
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
+
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
+        component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
+        <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
+        <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
+        <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
+      </openflow:datapath>
+ 
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- GPO 1750 -->
+        <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
+        <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
+        <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="I2-ATLA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e" 	
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
+        <openflow:port name="1" num="1"/> <!-- UKY 1750 -->
+        <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
+        <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
+        <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="i2-3716" />
+      <openflow:use-group name="group-1750" />
+      <openflow:use-group name="I2-ATLA-1750-3716"/>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-uen.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-uen.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-openflow-uen.rspec	(revision 3446)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="uen-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+datapath+06:d6:ac:16:2d:f5:2d:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+authority+am" dpid="06:d6:ac:16:2d:f5:2d:00">
+        <openflow:port name="A21" num="21"/>
+        <openflow:port name="A22" num="22"/>
+        <openflow:port name="B22" num="46"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="uen-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-pg-utah.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-pg-utah.rspec	(revision 3446)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/TAMU/EG-CT-4-pg-utah.rspec	(revision 3446)
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utah-pg" exclusive="false">
+    <sliver_type name="raw-pc" />
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="utah-pg:if0">
+      <ip address="10.42.11.35" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="mesoscale-openflow-0">
+    <interface_ref client_id="utah-pg:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+</rspec>
